Subject: Re: [PATCH] mark sk98lin driver for removal

From: Dave Jones <[email-masked]>
Date: Sat, 22 Jul 2006 19:17:03 -0400

On Sat, Jul 22, 2006 at 02:11:50PM -0700, Stephen Hemminger wrote:
 > The sk98lin driver is now superseded by the skge driver. I wanted to just
 > let the old driver wither and die from old age, but there are still bugs
 > that are too painful to fix.
 > 
 > See http://bugzilla.kernel.org/show_bug.cgi?id=6780
 > The board crashes repeatedly after 2 weeks. It probably is something
 > in the vendor MIB code. That code is a mess, and starting over was one
 > of the motivations for creating the skge driver.
 > 
 > So rather than add more bondo to the old beater to cover the rusty bits,
 > throw it in the dustbin.
 > 
 > Signed-off-by: Stephen Hemminger <[email-masked]

After a huge number of bug reports in Fedora 'went away' when we
switched our users to using skge instead, I wholeheartedly endorse this.
sk98lin is a disaster.  The last time I looked the vendor out-of-tree
driver had a huge delta vs mainline, and backed out numerous fixes
made to it in the mainline kernel. It's a huge effort to get the 'good bits'
out of that patch, and letting it die is the only sensible solution IMO.

ACKed-by: Dave Jones <[email-masked]>

 > +SK98LIN GIGABBIT ETHERNET DRIVER

typo :-)

		Dave

-- 
http://www.codemonkey.org.uk